# PspIoDrvArg Struct Reference
[Driver interface to IoFileMgr]

`#include <sdk/kernel/pspiofilemgr_kernel.h>`

Collaboration diagram for PspIoDrvArg:

[legend]

## Detailed Description

Structure passed to the init and exit functions of the io driver system.

## Data Fields

PspIoDrv * | drv
| Pointer to the original driver which was added.
void * | arg
| Pointer to a user defined argument (if written by the driver will preseve across calls.

## Field Documentation

void* PspIoDrvArg::arg

| Pointer to a user defined argument (if written by the driver will preseve across calls.

struct PspIoDrv* PspIoDrvArg::drv

| Pointer to the original driver which was added.

The documentation for this struct was generated from the following file:

- sdk/kernel/pspiofilemgr_kernel.h